pappso::GrpPeptide Class Reference

`#include <grppeptide.h>`

## Public Member Functions

| ~GrpPeptide ()
const QString & | getSequence () const
bool | operator< (const GrpPeptide &other) const
| sort grp peptides between each other sorts by peptide LI sequence and mass More...
void | setRank (unsigned int i)
void | setGroupNumber (unsigned int i)
const QString | getGroupingId () const
unsigned int | getGroupNumber () const
unsigned int | getRank () const

## Protected Member Functions

| GrpPeptide (QString sequence, pappso_double mass)

## Private Attributes

unsigned int | m_groupNumber = 0
unsigned int | m_rank = 0
const QString | m_sequence
const pappso_double | m_mass

## Friends

class | GrpExperiment

## Detailed Description

Definition at line 42 of file grppeptide.h.

## Constructor & Destructor Documentation

## GrpPeptide()

GrpPeptide::GrpPeptide | ( | QString | sequence,
|  | pappso_double | mass
| ) |  |

protected

Definition at line 30 of file grppeptide.cpp.

: m_sequence(sequence.replace("L", "I")), m_mass(mass)
{
}
pappso::GrpPeptide::m_mass
const pappso_double m_mass
Definition: grppeptide.h:51
pappso::GrpPeptide::m_sequence
const QString m_sequence
Definition: grppeptide.h:50

## ~GrpPeptide()

GrpPeptide::~GrpPeptide | ( |  | ) |

Definition at line 35 of file grppeptide.cpp.

{
}

## Member Function Documentation

## getGroupingId()

const QString GrpPeptide::getGroupingId | ( |  | ) | const

Definition at line 79 of file grppeptide.cpp.

{
return QString("pep%1%2")
.arg(Utils::getLexicalOrderedString(m_groupNumber))
.arg(Utils::getLexicalOrderedString(m_rank));
}
pappso::GrpPeptide::m_groupNumber
unsigned int m_groupNumber
Definition: grppeptide.h:47
pappso::GrpPeptide::m_rank
unsigned int m_rank
Definition: grppeptide.h:48
pappso::Utils::getLexicalOrderedString
static const QString getLexicalOrderedString(unsigned int num)
Definition: utils.cpp:52

References pappso::Utils::getLexicalOrderedString(), m_groupNumber, and m_rank.

## getGroupNumber()

unsigned int GrpPeptide::getGroupNumber | ( |  | ) | const

Definition at line 64 of file grppeptide.cpp.

{
return m_groupNumber;
}

References m_groupNumber.

## getRank()

unsigned int GrpPeptide::getRank | ( |  | ) | const

Definition at line 69 of file grppeptide.cpp.

{
return m_rank;
}

References m_rank.

## getSequence()

const QString & GrpPeptide::getSequence | ( |  | ) | const

Definition at line 74 of file grppeptide.cpp.

{
return m_sequence;
}

References m_sequence.

## operator<()

bool GrpPeptide::operator< | ( | const GrpPeptide & | other | ) | const

sort grp peptides between each other sorts by peptide LI sequence and mass

Definition at line 39 of file grppeptide.cpp.

{
if(m_sequence == other.m_sequence)
{
return (m_mass < other.m_mass);
}
else
{
return (m_sequence < other.m_sequence);
}
}

References m_mass, and m_sequence.

## setGroupNumber()

void GrpPeptide::setGroupNumber | ( | unsigned int | i | ) |

Definition at line 58 of file grppeptide.cpp.

{
m_groupNumber = i;
}

References m_groupNumber.

## setRank()

void GrpPeptide::setRank | ( | unsigned int | i | ) |

Definition at line 53 of file grppeptide.cpp.

{
m_rank = i;
}

References m_rank.

## Friends And Related Function Documentation

## GrpExperiment

friend class GrpExperiment

friend

Definition at line 44 of file grppeptide.h.

## Member Data Documentation

## m_groupNumber

unsigned int pappso::GrpPeptide::m_groupNumber = 0

private

Definition at line 47 of file grppeptide.h.

Referenced by getGroupingId(), getGroupNumber(), and setGroupNumber().

## m_mass

const pappso_double pappso::GrpPeptide::m_mass

private

Definition at line 51 of file grppeptide.h.

Referenced by operator<().

## m_rank

unsigned int pappso::GrpPeptide::m_rank = 0

private

Definition at line 48 of file grppeptide.h.

Referenced by getGroupingId(), getRank(), and setRank().

## m_sequence

const QString pappso::GrpPeptide::m_sequence

private

Definition at line 50 of file grppeptide.h.

Referenced by getSequence(), and operator<().

The documentation for this class was generated from the following files:

- pappsomspp/grouping/grppeptide.h
- pappsomspp/grouping/grppeptide.cpp